### any_completion_handler_allocator< void, Signatures... >

A protoco-allocator type that may be rebound to obtain an allocator that forwards memory allocation operations through an instance of `any_completion_handler`.

    template<
        typename... Signatures>
    class any_completion_handler_allocator< void, Signatures... >

##### Types

Name | Description
--- | ---
value_type | void as no objects can be allocated through a proto-allocator.

##### Member Functions

Name | Description
--- | ---
any_completion_handler_allocator | Construct from another any_completion_handler_allocator.
operator!= | Inequality operator.
operator== | Equality operator.

##### Requirements

Header: `asio/any_completion_handler.hpp`

Convenience header: `asio.hpp`